USERMOD(8)

NAZWA
usermod - zmiana danych konta użytkownika

SKŁADNIA

usermod [opcje] LOGIN

OPIS

Polecenie usermod zmienia systemowe pliki kont, odzwierciedlając zmiany podane w wierszu poleceń.

OPCJE

Polecenie usermod posiada następujące opcje:

-a, --all
    Dodaj użytkownika do dodatkowej grupy lub grup. Może być użyte tylko z opcją -G.

-c, --commentKOMENTARZ
    Nowa wartość pola komentarza dla danego użytkownika w pliku haseł. Zwykle jest zmieniana przy pomocy polecenia chfn(1).

-d, --homeKAT_DOMOWY
    Nowy katalog domowy użytkownika. Jeżeli podano opcję -m, to zawartość aktualnego katalogu domowego zostanie przesunięta do nowego katalogu. Nowy katalog domowy jest tworzony jeśli nie istnieje.

-e, --expiredateDATA_WAŻN
    Data, od której konto danego użytkownika zostanie wyłączone. Data podawana jest w formacie MM/DD/RR.

-f, --inactiveNIEAKTYWNE
    Liczba dni po wygaśnięciu hasła do stałego wyłączenia konta. Wartość 0 wyłącza konto natychmiast po przeterminowaniu hasła, zaś wartość -1 wyłącza tę cechę. Domyślną wartością jest -1.

-g, --gidGRUPA
    Nazwa lub numer początkowej grupy logowania użytkownika. Nazwa grupy musi istnieć. Numer grupy musi odnosić się do już istniejącej grupy. Domyślnym numerem grupy jest 1.

-G, --groupsGRUPA1[,GRUPA2,...[,GRUPAN]]]
    A list of supplementary groups which the user is also a member of. Each group is separated from the next by a comma, with no intervening whitespace. The groups are subject to the same restrictions as the group given with the -g option. If the user is currently a member of a group which is not listed, the user will be removed from the group. This behaviour can be changed via the -a option, which appends the user to the current supplementary group list.

-l, --loginNOWY_LOGIN
    The name of the user will be changed from LOGIN to NEW_LOGIN. Nothing else is changed. In particular, the user's home directory name should probably be changed manually to reflect the new login name.

-L, --lock
    Zablokuj hasło użytkownika. Opcja ta powoduje wstawienie ’!’ na początku zakodowanego hasła. Opcji tej nie można używać z opcjami -p or -U.

    Note: if you wish to lock the account (not only access with a password), you should also set the EXPIRE_DATE to 1.

-o, --non-unique
    When used with the -u option, this option allows to change the user ID to a non-unique value.

-p, --passwordHASŁO
    The encrypted password, as returned by crypt(3).

-s, --shellSHELL
    Nazwa nowej powłoki (shell) użytkownika. Ustawienie tego pola na puste powoduje, że system wybierze domyślną powłokę logowania.

-u, --uidUID
    The numerical value of the user's ID. This value must be unique, unless the -o option is used. The value must be non-negative. Values between 0 and 999 are typically reserved for system accounts. Any files which the user owns and which are located in the directory tree rooted at the user's home directory will have the file user ID changed automatically. Files outside of the user's home directory must be altered manually.

-U, --unlock
    Odblokowuje hasło użytkownika. Opcja ta powoduje usuniecie ’!’ z początku zakodowanego hasła. Opcji tej nie można używać z opcjami -p lub -L.

    Note: if you wish to unlock the account (not only access with a password), you should also set the EXPIRE_DATE (for example to 99999, or to the EXPIRE value from /etc/default/useradd).

OSTRZEŻENIA

Polecenie usermod nie pozwola na zmianę nazwy zalogowanego użytkownika. Jeśli zmieniany jest numeryczny identyfikator użytkownika procesu to musisz się upewnić, że w trakcie wykonywania tego polecenia użytkownik nie wykonuje żadnego procesu. Właśniciela plików crontab musisz zmienić ręcznie. Właśniciela zadań at musisz zmienić ręcznie. Jakiekolwiek zmiany dotyczące NIS musisz wykonać na serwerze NIS.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAIL_DIR (string)
    The mail spool directory. This is needed to manipulate the mailbox when its corresponding user account is modified or deleted. If not specified, a compile-time default is used.

MAIL_FILE (string)
    Defines the location of the users mail spool files relatively to their home directory.

The MAIL_DIR and MAIL_FILE variables are used by useradd, usermod, and userdel to create, move, or delete the user's mail spool.

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

PLIKI

/etc/group
    Informacje o grupach użytkowników.

/etc/passwd
    Informacja o kontach użytkowników.

/etc/shadow
    Informacje chronione o użytkownikach.

ZOBACZ TAKŻE

chfn(1), chsh(1), passwd(1), crypt(3), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8).